GET V1/PaymentsMaster.{ext}/VendorCheckRemmittance?vendorId={vendorId}&remmitCode={remmitCode}&status={status}&checkRemittanceId={checkRemittanceId}&pageIndex={pageIndex}&pageSize={pageSize}
Returns Venodr Check Remmittances i.e when payment method is check
Mandatory Fileds: vendorId
Optional Fileds : ProductId,RemmitCode,status,checkRemittanceId
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| vendorId |
This is vendorId. |
string |
Required |
| remmitCode |
This is remnitCode. |
string |
Default value is |
| status |
This is status. |
string |
Default value is |
| checkRemittanceId |
This is checkRemittanceId. |
string |
Default value is |
| pageIndex |
Indicates how many records to skip . |
integer |
Default value is 0 |
| pageSize |
Indicates number of records to be returned. |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
List of Venodr Check Remmittances based on action to perform.
EMSResponseOfEMS.Payments.Entities.VendorCheckRemmittances| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.VendorCheckRemmittances |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "VendorCheckRemmittances",
"response": {
"vendorCheckRemmittanceList": [
{
"checkRemittanceId": 1,
"vendorId": 1,
"remitCode": "sample string 1",
"vendorPayeeName1": "sample string 2",
"vendorPayeeName2": "sample string 3",
"emailAddress": "sample string 4",
"address1": "sample string 5",
"address2": "sample string 6",
"city": "sample string 7",
"state": "sample string 8",
"zip": "sample string 9",
"country": "sample string 10",
"status": "sample string 11",
"remitStatus": "sample string 12"
},
{
"checkRemittanceId": 1,
"vendorId": 1,
"remitCode": "sample string 1",
"vendorPayeeName1": "sample string 2",
"vendorPayeeName2": "sample string 3",
"emailAddress": "sample string 4",
"address1": "sample string 5",
"address2": "sample string 6",
"city": "sample string 7",
"state": "sample string 8",
"zip": "sample string 9",
"country": "sample string 10",
"status": "sample string 11",
"remitStatus": "sample string 12"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.